# Component: Footer

**Purpose**: A configurable footer with a logo, contact information, internal and social links, general business information, and a country picker.

{% embed url="<https://69c2cf3a42a094f3cd354b8d-ojozztnsdo.chromatic.com/?path=/story/shop-components-layout-footer--default&full=1&shortcuts=false&singleStory=true&embed=true>" %}

## Props

| Prop Name                | Label                        | Type     | Default Value                                                                                                                                                                                                                                                                               | Description                                           |
| ------------------------ | ---------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------- |
| enableLogo               | Show logo                    | boolean  | true                                                                                                                                                                                                                                                                                        | If true the logo will be visible                      |
| logo                     | Logo link                    | string   | <https://s3-eu-west-1.amazonaws.com/limio-public/limiologo.png>                                                                                                                                                                                                                             | Logo link                                             |
| logoSize                 | Logo size                    | string   | 10                                                                                                                                                                                                                                                                                          | Logo size                                             |
| contactFields            | Contact fields               | list     | <p>{<br>"label": "Email:",<br>"value": "<support@limio.com>",<br>"url": "mailto:<support@limio.com>"<br>},<br>{<br>"label": "Telephone:",<br>"value": "020 1234 1234",<br>"url": "tel:020 1234 1234"<br>},<br>{<br>"label": "Address:",<br>"value": "Leather Market",<br>"url": ""<br>}</p> | <p>Contact fields<br><br>Fields: label, value,url</p> |
| copyrightText            | Copyright text               | string   | Copyright © 2019 Limio                                                                                                                                                                                                                                                                      | Copyright text                                        |
| poweredByLink            | Powered by link              | string   | <https://www.limio.com/>                                                                                                                                                                                                                                                                    | Powered by link                                       |
| facebookLink             | Facebook link                | string   |                                                                                                                                                                                                                                                                                             | Facebook link                                         |
| twitterLink              | Twitter link                 | string   |                                                                                                                                                                                                                                                                                             | Twitter link                                          |
| instagramLink            | Instagram link               | string   |                                                                                                                                                                                                                                                                                             | Instagram link                                        |
| privacyLink              | Privacy link                 | string   | <https://www.limio.com/privacy>                                                                                                                                                                                                                                                             | Privacy link                                          |
| showJourneyCountryPicker | Show journey country picker? | boolean  | true                                                                                                                                                                                                                                                                                        | If true the country picker will be visible            |
| navigation               | Navigation                   | list     | <p>\[<br>{<br>"label": "Home",<br>"url": "/"<br>},<br>{<br>"label": "Gift",<br>"url": "/gift"<br>},<br>{<br>"label": "Manage My Account",<br>"url": "/mma"<br>}<br>]</p>                                                                                                                    | Fields: label, url                                    |
| navigationDivider        | Navigation divider           | string   | \_                                                                                                                                                                                                                                                                                          | Navigation divider                                    |
| navigationPosition       | Navigation position          | picklist | bottom                                                                                                                                                                                                                                                                                      | Options: top, bottom, middle, hidden                  |
| navigationAlignment      | Navigation alignment         | picklist | center                                                                                                                                                                                                                                                                                      | Options: left, right, center                          |

##


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.limio.com/components/component-library/standard-components/component-footer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
